| OpenCV 3.4.3 Open Source Computer Vision

List of all members
cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategyColor Class Reference
Extended Image Processing » Image segmentation

Color-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in [191]. More...

`#include "segmentation.hpp"`

Inheritance diagram for cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategyColor:

## Additional Inherited Members
Public Member Functions inherited from cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategy
virtual float | get (int r1, int r2)=0
| Return the score between two regions (between 0 and 1) More...
virtual void | merge (int r1, int r2)=0
| Inform the strategy that two regions will be merged. More...
virtual void | setImage (InputArray img, InputArray regions, InputArray sizes, int image_id=-1)=0
| Set a initial image, with a segementation. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Color-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in [191].

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/ximgproc/include/opencv2/ximgproc/segmentation.hpp